components:
  schemas:
    AccountService_AccountService:
      $ref: http://redfish.dmtf.org/schemas/v1/AccountService.v1_15_0.yaml#/components/schemas/AccountService_v1_15_0_AccountService
      description: The AccountService schema defines an account service.  The properties
        are common to, and enable management of, all user accounts.  The properties
        include the password requirements and control features, such as account lockout.  Properties
        and actions in this service specify general behavior that should be followed
        for typical accounts, however implementations might override these behaviors
        for special accounts or situations to avoid denial of service or other deadlock
        situations.
      x-longDescription: This resource shall represent an account service for a Redfish
        implementation.  The properties are common to, and enable management of, all
        user accounts.  The properties include the password requirements and control
        features, such as account lockout.  Properties and actions in this service
        specify general behavior that should be followed for typical accounts, however
        implementations may override these behaviors for special accounts or situations
        to avoid denial of service or other deadlock situations.
    AccountService_MFABypass:
      $ref: http://redfish.dmtf.org/schemas/v1/AccountService.v1_15_0.yaml#/components/schemas/AccountService_v1_15_0_MFABypass
      description: Multi-factor authentication bypass settings.
      x-longDescription: This type shall contain multi-factor authentication bypass
        settings.
    AccountService_MFABypassType:
      enum:
      - All
      - SecurID
      - GoogleAuthenticator
      - MicrosoftAuthenticator
      - ClientCertificate
      - OneTimePasscode
      - OEM
      type: string
      x-enumDescriptions:
        All: Bypass all multi-factor authentication types.
        ClientCertificate: Bypass client certificate authentication.
        GoogleAuthenticator: Bypass Google Authenticator.
        MicrosoftAuthenticator: Bypass Microsoft Authenticator.
        OEM: Bypass OEM-defined multi-factor authentication.
        OneTimePasscode: Bypass one-time passcode authentication.
        SecurID: Bypass RSA SecurID.
      x-enumLongDescriptions:
        All: This value shall indicate an account or role mapping can bypass all multi-factor
          authentication types including OEM-defined types.
        ClientCertificate: This value shall indicate an account or role mapping can
          bypass client certificate authentication.
        GoogleAuthenticator: This value shall indicate an account or role mapping
          can bypass Google Authenticator.
        MicrosoftAuthenticator: This value shall indicate an account or role mapping
          can bypass Microsoft Authenticator.
        OEM: This value shall indicate an account or role mapping can bypass OEM-defined
          multi-factor authentication.
        OneTimePasscode: This value shall indicate an account or role mapping can
          bypass one-time passcode authentication.
        SecurID: This value shall indicate an account or role mapping can bypass RSA
          SecurID.
      x-enumVersionAdded:
        OneTimePasscode: v1_14_0
      x-versionAdded: v1_12_0
title: '#AccountService.AccountService'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
